Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Ghostscript 8.54 Link Not Working

 
SOLVED
Go to solution
DECxchange
Regular Advisor

Ghostscript 8.54 Link Not Working

Hello,
Below is an OpenVMS forum discussion indicating at one time the link to Ghostscript 8.54 was working. I tried it yesterday (and today) and got this:
Index of //mvb.saic.com/freeware/pcsi_kits/ghostscript-v0854/

--------------------------------------------------------------------------------
ERROR 403 - The requested action is not permitted.
Additional information: 1xx, 2xx, 3xx, 4xx, 5xx, Help
===============================================
Has anybody a copy of Ghostscript 8.54? Also, we looked for Ghostscript on the OpenVMS 8.3 distribution Freeware 8.0 CDs 1-3. It's not on there.

We looked at Freeware ver. 6.0 CD and it has Ghostscript 8.11 for version OpenVMS 7.3-1. We are running OpenVMS 7.3-2.

Any help would be appreciated. Thanks.
--------------------------------------------------------------------------------

WASD/9.2.1 Server at mvb.saic.com Port 80

===============================================

Jun 15, 2007 06:10:54 GMT

--------------------------------------------------------------------------------
Hi,

I am trying to install the GHOSTSCRIPT-V0854.PCSI_SFX_AXPEXE kit provided here http://www.openvms.org/stories.php?story=06/08/16/6936194 by Mark Berryman

10 REPLIES 10
Hoff
Honored Contributor

Re: Ghostscript 8.54 Link Not Working

With open source and OpenVMS, there are typically several options available to you when a package is not been refreshed. Here are the major choices, in no particular order:

*Convince somebody to port it for you.

*Convince HP to port it and include it.

*Pay somebody to port it for you.

*Port it yourself, and publish it up.

*Wait on the sidelines for somebody else to convince or to pay or to port the package.

*Use a platform that already has the port.

*Make due with the existing version.

Mark has the 8.11 kit posted at his site, but from what I can see the 8.54 directory is empty.

Based on some quick digging, Ghostscript 8.62 is current, and was released on 29-Feb-2008. So if you head off to port it, you might want to start there. (Do see if Mark included the sources for the tools and procedures he used to port 8.11 in the 8.11 kit.)

Firefox access into Mark's site shows no errors. There are web browsers around that (try to) do Bad Things to the web servers, and these Bad Things can trigger 403 errors. Try another browser, and do try a connection from another network. If the problem persists, contact the local firewall maintainer and the remote site maintainer. (But the download of 8.11 started up just fine here, so this looks to be transient or local.)
Wim Van den Wyngaert
Honored Contributor
Solution

Re: Ghostscript 8.54 Link Not Working

403 Forbidden

The server understood the request, but is refusing to fulfill it. Authorization will not help and the request should not be repeated. If the request method was not HEAD and the server wishes to make public why the request has not been fulfilled, it should describe the reason for the refusal in the entity body. This status code is commonly used when the server does not wish to reveal exactly why the request has been refused, or when no other response is applicable.

The server is refusing access to THAT directory. All others work fine. Since Hoff has no problem accessing it, the config in WASD must have an item mentioning the browser or the origin. As Hoff said, try with another browser.

BTW : I have the same problem and no other browser.

Wim
Wim
DECxchange
Regular Advisor

Re: Ghostscript 8.54 Link Not Working

Hoff,
The Ghostscript 8.54 version must already be ported to VMS as it is in a directory under a directory called PCSI_KITS and it is referred to by the openvms.org web site. Plus, somebody else was able to download it last June.

I am using Windows XP Internet Explorer for the browser. Does it not work with Explorer? I guess I can try it from CSWB on Alpha.

But I did download 8.11. Does anybody know if there is any significant differences?

As far as porting 8.62, I might consider paying somebody to it if I could get a price. If you ever want to meet me at the Boxbar in Plymouth, MI, perhaps I can pay you in BEEEERS!
Hoff
Honored Contributor

Re: Ghostscript 8.54 Link Not Working

I do not know why the Ghostscript kit apparently got pulled down. That's fodder for a discussion more directly with Mark.

As for general browser issues, do try another browser. In this case, the Opera or Firefox browser are reasonable choices and strive for reasonable compliance with applicable HTMP standards.

I won't comment on IE here.

You'll have to decide which approach(es) you want to apply to the Ghostscript port, if the existing version is insufficient for your needs.

Here's a related discussion, with some details around previous porting requirements:

http://nchrem.tnw.tudelft.nl/openvms/software2.html

DECxchange
Regular Advisor

Re: Ghostscript 8.54 Link Not Working

Hoff,
We tried Firefox 2.0.0.12 and it gives us the same error as IE. Maybe it just does not like US? ;) I guess I can look for a newer version of Firefox or look for Opera.

BTW, the guy I work with here is a long time VMS sysmgr and knows you from his many boot camp/decus travels. He also emailed kfarm@openvms.org.

In any case, for what we thought we needed Ghostscript for, we're starting to think it will not solve our particular problem anyway. What I'll is close this thread and open a new one. Thanks again for your help.
Hoff
Honored Contributor

Re: Ghostscript 8.54 Link Not Working

As of a couple of minutes ago:

http://mvb.saic.com/freeware/pcsi_kits/ghostscript-v0854/

is up, and with kits visible.

With some background on the problem(s) you're trying to solve, there might be additional progress.
DECxchange
Regular Advisor

Re: Ghostscript 8.54 Link Not Working

Hoff,
Thanks again for helping get the site working. I might open a new thread tomorrow describing the problem we are trying to solve.
Rodman S. Regier
Occasional Advisor

Re: Ghostscript 8.54 Link Not Working

http://mvb.saic.com/

11-Mar-2009 observation

At the request of SAIC management, the OpenVMS freeware archives have been removed from this site and this web site is being retired.
Hoff
Honored Contributor

Re: Ghostscript 8.54 Link Not Working

The archives dropped offline over there a month or so back and there's presently no replacement server available, though a couple of folks are in the process of staging replacement archives.

Jur van der Burg
Respected Contributor

Re: Ghostscript 8.54 Link Not Working

OpenVMS freeware is also available at www.digiater.nl/openvms/freeware

Jur.